'=======================================================================
'  Copyright (C) Microsoft Corporation.  All rights reserved.
' 
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================


Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Xml.Serialization

Namespace DotNetNuke.Modules.News.RssToolkit.Opml
	''' <summary>
	''' OpmlHead
	''' </summary>
	<Serializable()> _
	Public Class OpmlHead
		Private m_title As String
		Private m_dateCreated As String
		Private m_dateModified As String
		Private m_ownerName As String
		Private m_ownerEmail As String
		Private m_link As String

		''' <summary>
		''' Gets or sets the title.
		''' </summary>
		''' <value>The title.</value>
		<XmlElement("title")> _
		Public Property Title() As String
			Get
				Return m_title
			End Get

			Set
				m_title = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the date created.
		''' </summary>
		''' <value>The date created.</value>
		<XmlElement("dateCreated")> _
		Public Property DateCreated() As String
			Get
				Return m_dateCreated
			End Get

			Set
				m_dateCreated = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the date modified.
		''' </summary>
		''' <value>The date modified.</value>
		<XmlElement("dateModified")> _
		Public Property DateModified() As String
			Get
				Return m_dateModified
			End Get

			Set
				m_dateModified = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the name of the owner.
		''' </summary>
		''' <value>The name of the owner.</value>
		<XmlElement("ownerName")> _
		Public Property OwnerName() As String
			Get
				Return m_ownerName
			End Get

			Set
				m_ownerName = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the owner email.
		''' </summary>
		''' <value>The owner email.</value>
		<XmlElement("ownerEmail")> _
		Public Property OwnerEmail() As String
			Get
				Return m_ownerEmail
			End Get

			Set
				m_ownerEmail = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the link.
		''' </summary>
		''' <value>The link.</value>
		<XmlElement("link")> _
		Public Property Link() As String
			Get
				Return m_link
			End Get

			Set
				m_link = value
			End Set
		End Property
	End Class
End Namespace
