'=======================================================================
'  Copyright (C) Microsoft Corporation.  All rights reserved.
' 
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================


Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Xml.Serialization

Namespace DotNetNuke.Modules.News.RssToolkit.Opml
	''' <summary>
	''' OpmlOutline
	''' </summary>
	<Serializable()> _
	Public Class OpmlOutline
		Private m_text As String
		Private m_title As String
		Private m_xmlUrl As String
		Private m_htmlUrl As String
		Private m_type As String

		''' <summary>
		''' Gets or sets the text.
		''' </summary>
		''' <value>The text.</value>
		<XmlAttribute("text")> _
		Public Property Text() As String
			Get
				Return m_text
			End Get

			Set
				m_text = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the title.
		''' </summary>
		''' <value>The title.</value>
		<XmlAttribute("title")> _
		Public Property Title() As String
			Get
				Return m_title
			End Get

			Set
				m_title = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the XML URL.
		''' </summary>
		''' <value>The XML URL.</value>
		<System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings"), XmlAttribute("xmlUrl")> _
		Public Property XmlUrl() As String
			Get
				Return m_xmlUrl
			End Get

			Set
				m_xmlUrl = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the HTML URL.
		''' </summary>
		''' <value>The HTML URL.</value>
		<System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings"), XmlAttribute("htmlUrl")> _
		Public Property HtmlUrl() As String
			Get
				Return m_htmlUrl
			End Get

			Set
				m_htmlUrl = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the type.
		''' </summary>
		''' <value>The type.</value>
		<XmlAttribute("type")> _
		Public Property Type() As String
			Get
				Return m_type
			End Get

			Set
				m_type = value
			End Set
		End Property
	End Class
End Namespace
