'=======================================================================
'  Copyright (C) Microsoft Corporation.  All rights reserved.
'
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================


Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace DotNetNuke.Modules.News.RssToolkit.Opml
	''' <summary>
	''' used in Outline class and RssAggregator
	''' </summary>
	Friend Class OutlineInfo
		Private ReadOnly m_outline As OpmlOutline
		Private ReadOnly m_index As Integer

		''' <summary>
		''' Initializes a new instance of the <see cref="OutlineInfo"/> class.
		''' </summary>
		''' <param name="ol">The ol.</param>
		''' <param name="index">The index.</param>
		Public Sub New(ByVal ol As OpmlOutline, ByVal index As Integer)
			If ol Is Nothing Then
				Throw New ArgumentNullException("ol")
			End If

			Me.m_outline = ol
			Me.m_index = index
		End Sub

		''' <summary>
		''' Gets the outline.
		''' </summary>
		''' <value>The outline.</value>
		Public ReadOnly Property Outline() As OpmlOutline
			Get
				Return m_outline
			End Get
		End Property

		''' <summary>
		''' Gets the index.
		''' </summary>
		''' <value>The index.</value>
		Public ReadOnly Property Index() As Integer
			Get
				Return m_index
			End Get
		End Property
	End Class
End Namespace
