'=======================================================================
'  Copyright (C) Microsoft Corporation.  All rights reserved.
' 
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================

Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace DotNetNuke.Modules.News.RssToolkit.Rss.CodeGeneration
	''' <summary>
	''' Is used inside the Code generation process
	''' </summary>
	Friend Class ClassInfo
		Private ReadOnly _name As String
		Private _isText As Boolean
		Private _namespace As String
		Private ReadOnly _properties As Dictionary(Of String, PropertyInfo)

		Public Sub New(ByVal name As String)
			_name = name
			_properties = New Dictionary(Of String, PropertyInfo)()
		End Sub

		''' <summary>
		''' Gets the name.
		''' </summary>
		''' <value>The name.</value>
		Public ReadOnly Property Name() As String
			Get
				Return _name
			End Get
		End Property

		''' <summary>
		''' Gets or sets a value indicating whether this Class is Text NodeType.
		''' </summary>
		''' <value><c>true</c> if this Class is Text NodeType; otherwise, <c>false</c>.</value>
		Public Property IsText() As Boolean
			Get
				Return _isText
			End Get

			Set
				_isText = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the name of the namespace.
		''' </summary>
		''' <value>The name of the namespace.</value>
		Public Property [Namespace]() As String
			Get
				Return _namespace
			End Get

			Set
				_namespace = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the properties.
		''' </summary>
		''' <value>The properties.</value>
		Friend ReadOnly Property Properties() As Dictionary(Of String, PropertyInfo)
			Get
				Return _properties
			End Get
		End Property
	End Class
End Namespace
