'=======================================================================
'  Copyright (C) Microsoft Corporation.  All rights reserved.
' 
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================

Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace DotNetNuke.Modules.News.RssToolkit.Rss.CodeGeneration
	''' <summary>
	''' Stores property information for code generation
	''' </summary>
	Friend Class PropertyInfo
		Private ReadOnly _name As String
		Private ReadOnly _isAttribute As Boolean
		Private _occurrences As Integer

		''' <summary>
		''' Constructs a new instance of <see cref="PropertyInfo"/> class
		''' </summary>
		''' <param name="name">the name of the property</param>
		''' <param name="isAttribute">true if this is an attribute</param>
		Public Sub New(ByVal name As String, ByVal isAttribute As Boolean)
			_name = name
			_isAttribute = isAttribute
		End Sub

		''' <summary>
		''' Gets the name.
		''' </summary>
		''' <value>The name.</value>
		Public ReadOnly Property Name() As String
			Get
				Return _name
			End Get
		End Property

		''' <summary>
		''' Gets a value indicating whether this instance is attribute.
		''' </summary>
		''' <value>
		''' 	<c>true</c> if this instance is attribute; otherwise, <c>false</c>.
		''' </value>
		Public ReadOnly Property IsAttribute() As Boolean
			Get
				Return _isAttribute
			End Get
		End Property

		''' <summary>
		''' Gets or sets the occurrences.
		''' </summary>
		''' <value>The occurrences.</value>
		Public Property Occurrences() As Integer
			Get
				Return _occurrences
			End Get

			Set
				_occurrences = value
			End Set
		End Property
	End Class
End Namespace
