'=======================================================================
' Copyright (C) Microsoft Corporation. All rights reserved.
'
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================

Imports System
Imports System.Collections.Generic
Imports System.Text
Imports DotNetNuke.Modules.News.RssToolkit

Namespace DotNetNuke.Modules.News.RssToolkit
 ''' <summary>
 ''' Class that contains constant values used by the framework.
 ''' </summary>
 Public NotInheritable Class Constants
  Private Sub New()
  End Sub

  ''' <summary>
  ''' Xsl for converting Atom format to Rss 2.0
  ''' </summary>
  Public Const AtomToRssXsl As String = "AtomToRss20.xsl"

  ''' <summary>
  ''' Xsl for converting Rss 0.91 format to Rss 2.0
  ''' </summary>
  ''' <history>
  ''' 	[pdonker]	03/01/2008  Created
  ''' </history>
  Public Const Rss091ToRssXsl As String = "Rss091ToRss20.xsl"

  ''' <summary>
  ''' Xsl for converting Rdf format to Rss 2.0
  ''' </summary>
  Public Const RdfToRssXsl As String = "RdfToRss20.xsl"

  ''' <summary>
  ''' Rss 2.0 Xsd Schema
  ''' </summary>
  Public Const Rss20Xsd As String = "Rss20.xsd"

  ''' <summary>
  ''' Xsl for converting Rss 2.0 to Atom
  ''' </summary>
  Public Const RssToAtomXsl As String = "Rss20ToAtom.xsl"

  ''' <summary>
  ''' Xsl for converting Rss 2.0 to Rdf
  ''' </summary>
  Public Const RssToRdfXsl As String = "Rss20ToRdf.xsl"

  ''' <summary>
  ''' Xsl for converting Rss 2.0 to Opml
  ''' </summary>
  Public Const RssToOpmlXsl As String = "Rss20ToOpml.xsl"
 End Class
End Namespace
