'=======================================================================
' Copyright (C) Microsoft Corporation. All rights reserved.
'
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================

Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace DotNetNuke.Modules.News.RssToolkit.Rss
	''' <summary>
	''' Rss Aggregation Event Arguments
	''' </summary>
	Public Class RssAggregationEventArgs
		Inherits EventArgs
		Private _exception As Exception
		Private _message As String
		Private _severityType As RssSeverityType

		''' <summary>
		''' Gets or sets the exception.
		''' </summary>
		''' <value>The exception.</value>
		Public Property Exception() As Exception
			Get
				Return _exception
			End Get

			Set
				_exception = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the message.
		''' </summary>
		''' <value>The message.</value>
		Public Property Message() As String
			Get
				Return _message
			End Get

			Set
				_message = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the type of the severity.
		''' </summary>
		''' <value>The type of the severity.</value>
		Public Property SeverityType() As RssSeverityType
			Get
				Return _severityType
			End Get

			Set
				_severityType = value
			End Set
		End Property
	End Class
End Namespace
