'=======================================================================
'  Copyright (C) Microsoft Corporation.  All rights reserved.
' 
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================


Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Xml.Serialization

Namespace DotNetNuke.Modules.News.RssToolkit.Rss
	''' <summary>
	''' RssImage
	''' </summary>
	<Serializable()> _
	Public Class RssImage
		Private _description As String
		Private _height As String
		Private _link As String
		Private _title As String
		Private _url As String
		Private _width As String

		''' <summary>
		''' Gets or sets the description.
		''' </summary>
		''' <value>The description.</value>
		<XmlElement("description")> _
		Public Property Description() As String
			Get
				Return _description
			End Get

			Set
				_description = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the height.
		''' </summary>
		''' <value>The height.</value>
		<XmlElement("height")> _
		Public Property Height() As String
			Get
				Return _height
			End Get

			Set
				_height = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the link.
		''' </summary>
		''' <value>The link.</value>
		<XmlElement("link")> _
		Public Property Link() As String
			Get
				Return _link
			End Get

			Set
				_link = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the title.
		''' </summary>
		''' <value>The title.</value>
		<XmlElement("title")> _
		Public Property Title() As String
			Get
				Return _title
			End Get

			Set
				_title = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the URL.
		''' </summary>
		''' <value>The URL.</value>
		<System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings"), XmlElement("url")> _
		Public Property Url() As String
			Get
				Return _url
			End Get

			Set
				_url = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the width.
		''' </summary>
		''' <value>The width.</value>
		<XmlElement("width")> _
		Public Property Width() As String
			Get
				Return _width
			End Get

			Set
				_width = value
			End Set
		End Property
	End Class
End Namespace
