'=======================================================================
'  Copyright (C) Microsoft Corporation.  All rights reserved.
' 
'  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
'  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
'  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
'  PARTICULAR PURPOSE.
'=======================================================================


Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Xml.Serialization

Namespace DotNetNuke.Modules.News.RssToolkit.Rss
	''' <summary>
	'''  RssTextInput class
	''' </summary>
	<Serializable()> _
	Public Class RssTextInput
		Private _title As String
		Private _description As String
		Private _name As String
		Private _link As String

		''' <summary>
		''' Gets or sets the description.
		''' </summary>
		''' <value>The description.</value>
		<XmlElement("description")> _
		Public Property Description() As String
			Get
				Return _description
			End Get

			Set
				_description = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the link.
		''' </summary>
		''' <value>The link.</value>
		<XmlElement("link")> _
		Public Property Link() As String
			Get
				Return _link
			End Get

			Set
				_link = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the name.
		''' </summary>
		''' <value>The name.</value>
		<XmlElement("name")> _
		Public Property Name() As String
			Get
				Return _name
			End Get

			Set
				_name = value
			End Set
		End Property

		''' <summary>
		''' Gets or sets the title.
		''' </summary>
		''' <value>The title.</value>
		<XmlElement("title")> _
		Public Property Title() As String
			Get
				Return _title
			End Get

			Set
				_title = value
			End Set
		End Property
	End Class
End Namespace
