<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:param name="Version">01.00.00</xsl:param>
 <xsl:param name="FileList"/>
 <xsl:template match="/">
  <xsl:apply-templates/>
 </xsl:template>
 <xsl:template match="dotnetnuke">
  <dotnetnuke version="3.0" type="Module">
   <xsl:apply-templates/>
  </dotnetnuke>
 </xsl:template>
 <xsl:template match="folders">
  <folders>
   <xsl:apply-templates/>
  </folders>
 </xsl:template>
 <xsl:template match="folder">
  <folder>
   <xsl:for-each select="./*">
    <xsl:choose>
     <xsl:when test="name(.)='version'">
      <version>
       <xsl:value-of select="$Version"/>
      </version>
     </xsl:when>
     <xsl:when test="name(.)='files'">
      <files>
       <xsl:value-of select="$FileList" disable-output-escaping="yes"/>
      </files>
     </xsl:when>
     <xsl:otherwise>
      <xsl:copy-of select="."/>
     </xsl:otherwise>
    </xsl:choose>
   </xsl:for-each>
  </folder>
 </xsl:template>
</xsl:stylesheet>
